RDF::Redland::QueryResults(3pm)

NAME
RDF::Redland::QueryResults - Redland RDF Syntax Query Results Class

SYNOPSIS
  use RDF::Redland;

  ...
  my $query=new RDF::Redland::Query("query string", undef, undef, "sparql");
  my $results=$model->query_execute($query);
  # or my $results=$query->execute($model);
  while(!$results->finished) {
    for (my $i=0; $i < $results->bindings_count(); $i++) {
      my $name=$results->binding_name($i);
      my $value=$results->binding_value($i);
      # ... do something with the results
    }
    $results->next_result;
  }

The $results in the example is an object of class RDF::Redland::QueryResults.

DESCRIPTION
This class represents queries of various syntaxes over an RDF::Redland::Model returning a sequence of results that bind variable names to RDF::Redland::Node values.

CONSTRUCTOR
There are no public constructors.

METHODS

count
    Return the number of current results from the query.

finished
    Return non-0 if the results have been exhausted.

binding_name INDEX
    Get the name of variable binding INDEX in the array of variable names.

binding_names
    Get the names all of the variable bindings as an array.

binding_value INDEX
    Get the value of the variable binding INDEX in the current query result.

binding_values
    Get the values of all of the variable bindings in the current query result.

binding_value_by_name NAME
    Get the value of the variable binding NAME in the current query result.

bindings
    Get the variable names and values of the current query result as a hash

bindings_count
    Return the number of variable bindings.

next_result
    Move to the next query result.

as_stream
    Return a new RDF::Redland::Stream object representing the query results as an RDF Graph.

to_string [FORMAT-URI [BASE-URI]]
    Serialize to a string syntax in format FORMAT-URI using the optional BASE-URI. The default format when none is given is determined by librdf_query_results_to_string.

is_bindings
    Return non-0 if the query results format is variable bindings

is_boolean
    Return non-0 if the query results format is a boolean

is_graph
    Return non-0 if the query results format is an RDF graph

get_boolean
    Get the boolean query result; non-0 is true.

SEE ALSO
RDF::Redland::Query

AUTHOR
Dave Beckett - http://www.dajobe.org/